Author Topic: An error with the Ogre project maker-magijer  (Read 3922 times)

Offline Code-a-matic 2000 series

  • Single posting newcomer
  • *
  • Posts: 2
An error with the Ogre project maker-magijer
« on: October 12, 2011, 11:29:39 pm »
Hi,
I'm trying to start a Ogre project, and thought i'd try the C::B project maker,
So, I selected ogre, and followed the wizard through until the "please select the location of Ogre on your PC" prompt,
I told C::B to look in my ogre SDK folder (after selecting "I have the ogre SDK" option). Hit the next button, and C::B throws "the path seems valid, but this wizard can't locate OGRE's files in it" I've moved my Ogre folder, still no luck, I've ran C::B as administrator, still no luck, I've even set the files as "non read only" and that didn't work.
I'm using the 1.7.3 ogre SDK, windows 7 64bit.
thanks in advance for any help :)
dan,

Offline MortenMacFly

  • Administrator
  • Lives here!
  • *****
  • Posts: 9611
Re: An error with the Ogre project maker-magijer
« Reply #1 on: October 13, 2011, 03:49:31 pm »
"the path seems valid, but this wizard can't locate OGRE's files in it"
PLease search the forums for this message.

In short, OGRE seems to have changed its folder structure, so the wizard need to be adopted (right click on the wizard and select "edit"). This can easily be done on the fly, as wizards are script based and don't need compilation. The wizards are there for convenience, but if SDK changes their path's too often (which is the case sometimes) the wizards need to be adjusted for your concrete version. That's how it is.
Compiler logging: Settings->Compiler & Debugger->tab "Other"->Compiler logging="Full command line"
C::B Manual: http://www.codeblocks.org/docs/main_codeblocks_en.html
C::B FAQ: http://wiki.codeblocks.org/index.php?title=FAQ

Offline oBFusCATed

  • Developer
  • Lives here!
  • *****
  • Posts: 13011
    • Travis build status
Re: An error with the Ogre project maker-magijer
« Reply #2 on: October 13, 2011, 03:51:39 pm »
That's how it is.
Or someone using Ogre should provide patches, so multiple SDK versions could be supported :)
(most of the time I ignore long posts)
[strangers don't send me private messages, I'll ignore them; post a topic in the forum, but first read the rules!]